<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: HandsPreview Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d25/class_hands_preview.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">HandsPreview Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for HandsPreview:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d25/class_hands_preview.png" usemap="#HandsPreview_map" alt=""/>
  <map id="HandsPreview_map" name="HandsPreview_map">
<area href="../../d4/d8f/class_container.html" alt="Container" shape="rect" coords="0,0,94,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a667fe75900b4bb09392ad136e815742f"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> <a class="el" href="../../d2/df5/_action_input_8c.html#ae3148c4f424352b43964473b052380d8">m_Item</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a667fe75900b4bb09392ad136e815742f">HandsPreview</a> (<a class="el" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a> parent)</td></tr>
<tr class="separator:a667fe75900b4bb09392ad136e815742f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef0231ada348fdedac642c8d7301f9ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#aef0231ada348fdedac642c8d7301f9ff">~HandsPreview</a> ()</td></tr>
<tr class="separator:aef0231ada348fdedac642c8d7301f9ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65e9505294a8b1ff7e86941705b3d1ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a65e9505294a8b1ff7e86941705b3d1ce">RefreshQuantity</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> m_Item_to_refresh)</td></tr>
<tr class="separator:a65e9505294a8b1ff7e86941705b3d1ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa847dc602c74952d807336b5ad31fb41"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#aa847dc602c74952d807336b5ad31fb41">GetFocusedItem</a> ()</td></tr>
<tr class="separator:aa847dc602c74952d807336b5ad31fb41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e88049857c359e1a2fb287602529494"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../db/d60/class_icon.html">Icon</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a2e88049857c359e1a2fb287602529494">GetIcon</a> ()</td></tr>
<tr class="separator:a2e88049857c359e1a2fb287602529494"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c963187a508a0551587563a23dcaf40"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a8c963187a508a0551587563a23dcaf40">SetDefaultFocus</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> while_micromanagment_mode=false)</td></tr>
<tr class="separator:a8c963187a508a0551587563a23dcaf40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed49fee66f97c3289b3ad13050baf598"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#aed49fee66f97c3289b3ad13050baf598">SetLastFocus</a> ()</td></tr>
<tr class="separator:aed49fee66f97c3289b3ad13050baf598"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71555fe7b74f3308a6ba48266ece78c4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a71555fe7b74f3308a6ba48266ece78c4">Unfocus</a> ()</td></tr>
<tr class="separator:a71555fe7b74f3308a6ba48266ece78c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a303e7153bce80b74e1de2f53b108c283"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a303e7153bce80b74e1de2f53b108c283">GetIconSize</a> ()</td></tr>
<tr class="separator:a303e7153bce80b74e1de2f53b108c283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a313b63aa7ad7f6fd93fa7850e05b7b24"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a313b63aa7ad7f6fd93fa7850e05b7b24">SetLayoutName</a> ()</td></tr>
<tr class="separator:a313b63aa7ad7f6fd93fa7850e05b7b24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac817d829780cc5a7cd9fe15fdadd4d40"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#ac817d829780cc5a7cd9fe15fdadd4d40">RemoveItem</a> ()</td></tr>
<tr class="separator:ac817d829780cc5a7cd9fe15fdadd4d40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36e8c76f5b37ef7ddeb1245e939a6ef7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a36e8c76f5b37ef7ddeb1245e939a6ef7">UpdateInterval</a> ()</td></tr>
<tr class="separator:a36e8c76f5b37ef7ddeb1245e939a6ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2fc71f6a729cde57b67948985d79ac2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#ab2fc71f6a729cde57b67948985d79ac2">CreateNewIcon</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ab2fc71f6a729cde57b67948985d79ac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae59505215a6f5e7d5bf0026f687f84ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#ae59505215a6f5e7d5bf0026f687f84ab">DeleteIcon</a> ()</td></tr>
<tr class="separator:ae59505215a6f5e7d5bf0026f687f84ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50ba5096ba213062bca355b55743731c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a50ba5096ba213062bca355b55743731c">SelectItem</a> ()</td></tr>
<tr class="separator:a50ba5096ba213062bca355b55743731c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09253d711ee8362f9fcd392386557181"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a09253d711ee8362f9fcd392386557181">Select</a> ()</td></tr>
<tr class="separator:a09253d711ee8362f9fcd392386557181"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8c2e76dc63c4bf439595540a3bc9773b"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../db/d60/class_icon.html">Icon</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a8c2e76dc63c4bf439595540a3bc9773b">m_Icon</a></td></tr>
<tr class="separator:a8c2e76dc63c4bf439595540a3bc9773b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5d7f470d9412d623527b83804aa3c1d"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#ae5d7f470d9412d623527b83804aa3c1d">m_AttachmentsInitialized</a></td></tr>
<tr class="separator:ae5d7f470d9412d623527b83804aa3c1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a061d077bb60181e5022a8557de6daeb0"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d25/class_hands_preview.html#a061d077bb60181e5022a8557de6daeb0">m_IconSize</a></td></tr>
<tr class="separator:a061d077bb60181e5022a8557de6daeb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00001">1</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a667fe75900b4bb09392ad136e815742f" name="a667fe75900b4bb09392ad136e815742f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a667fe75900b4bb09392ad136e815742f">&#9670;&#160;</a></span>HandsPreview()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> <a class="el" href="../../d2/df5/_action_input_8c.html#ae3148c4f424352b43964473b052380d8">m_Item</a> void HandsPreview::HandsPreview </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00010">10</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="aef0231ada348fdedac642c8d7301f9ff" name="aef0231ada348fdedac642c8d7301f9ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef0231ada348fdedac642c8d7301f9ff">&#9670;&#160;</a></span>~HandsPreview()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandsPreview::~HandsPreview </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00016">16</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab2fc71f6a729cde57b67948985d79ac2" name="ab2fc71f6a729cde57b67948985d79ac2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2fc71f6a729cde57b67948985d79ac2">&#9670;&#160;</a></span>CreateNewIcon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandsPreview::CreateNewIcon </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00097">97</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="ae59505215a6f5e7d5bf0026f687f84ab" name="ae59505215a6f5e7d5bf0026f687f84ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae59505215a6f5e7d5bf0026f687f84ab">&#9670;&#160;</a></span>DeleteIcon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandsPreview::DeleteIcon </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00129">129</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="aa847dc602c74952d807336b5ad31fb41" name="aa847dc602c74952d807336b5ad31fb41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa847dc602c74952d807336b5ad31fb41">&#9670;&#160;</a></span>GetFocusedItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> HandsPreview::GetFocusedItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00030">30</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a2e88049857c359e1a2fb287602529494" name="a2e88049857c359e1a2fb287602529494"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e88049857c359e1a2fb287602529494">&#9670;&#160;</a></span>GetIcon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../db/d60/class_icon.html">Icon</a> HandsPreview::GetIcon </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00035">35</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a303e7153bce80b74e1de2f53b108c283" name="a303e7153bce80b74e1de2f53b108c283"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a303e7153bce80b74e1de2f53b108c283">&#9670;&#160;</a></span>GetIconSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> HandsPreview::GetIconSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00061">61</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a65e9505294a8b1ff7e86941705b3d1ce" name="a65e9505294a8b1ff7e86941705b3d1ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65e9505294a8b1ff7e86941705b3d1ce">&#9670;&#160;</a></span>RefreshQuantity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandsPreview::RefreshQuantity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>m_Item_to_refresh</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00022">22</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="ac817d829780cc5a7cd9fe15fdadd4d40" name="ac817d829780cc5a7cd9fe15fdadd4d40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac817d829780cc5a7cd9fe15fdadd4d40">&#9670;&#160;</a></span>RemoveItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandsPreview::RemoveItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00071">71</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a09253d711ee8362f9fcd392386557181" name="a09253d711ee8362f9fcd392386557181"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09253d711ee8362f9fcd392386557181">&#9670;&#160;</a></span>Select()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandsPreview::Select </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00151">151</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a50ba5096ba213062bca355b55743731c" name="a50ba5096ba213062bca355b55743731c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50ba5096ba213062bca355b55743731c">&#9670;&#160;</a></span>SelectItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HandsPreview::SelectItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00141">141</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a8c963187a508a0551587563a23dcaf40" name="a8c963187a508a0551587563a23dcaf40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c963187a508a0551587563a23dcaf40">&#9670;&#160;</a></span>SetDefaultFocus()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandsPreview::SetDefaultFocus </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>while_micromanagment_mode</em> = <code>false</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00040">40</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="aed49fee66f97c3289b3ad13050baf598" name="aed49fee66f97c3289b3ad13050baf598"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed49fee66f97c3289b3ad13050baf598">&#9670;&#160;</a></span>SetLastFocus()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandsPreview::SetLastFocus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00047">47</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a313b63aa7ad7f6fd93fa7850e05b7b24" name="a313b63aa7ad7f6fd93fa7850e05b7b24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a313b63aa7ad7f6fd93fa7850e05b7b24">&#9670;&#160;</a></span>SetLayoutName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandsPreview::SetLayoutName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00066">66</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a71555fe7b74f3308a6ba48266ece78c4" name="a71555fe7b74f3308a6ba48266ece78c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71555fe7b74f3308a6ba48266ece78c4">&#9670;&#160;</a></span>Unfocus()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandsPreview::Unfocus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00054">54</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a36e8c76f5b37ef7ddeb1245e939a6ef7" name="a36e8c76f5b37ef7ddeb1245e939a6ef7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36e8c76f5b37ef7ddeb1245e939a6ef7">&#9670;&#160;</a></span>UpdateInterval()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandsPreview::UpdateInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00077">77</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae5d7f470d9412d623527b83804aa3c1d" name="ae5d7f470d9412d623527b83804aa3c1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5d7f470d9412d623527b83804aa3c1d">&#9670;&#160;</a></span>m_AttachmentsInitialized</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> HandsPreview::m_AttachmentsInitialized</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00004">4</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a8c2e76dc63c4bf439595540a3bc9773b" name="a8c2e76dc63c4bf439595540a3bc9773b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c2e76dc63c4bf439595540a3bc9773b">&#9670;&#160;</a></span>m_Icon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../db/d60/class_icon.html">Icon</a> HandsPreview::m_Icon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00003">3</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<a id="a061d077bb60181e5022a8557de6daeb0" name="a061d077bb60181e5022a8557de6daeb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a061d077bb60181e5022a8557de6daeb0">&#9670;&#160;</a></span>m_IconSize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> HandsPreview::m_IconSize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html#l00006">6</a> of file <a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/InventoryNew/ContainedItems/<a class="el" href="../../dc/d3c/_hands_preview_8c_source.html">HandsPreview.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d25/class_hands_preview.html">HandsPreview</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
